Test runsId
Get a single test run with the inline list of its test sessions (AspNetBackend.Application.TestRuns.Models.TestRunSessionDto).
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using Bearer scheme
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X GET "https://api.speaknode.com/api/test-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
"created_by_email": "string",
"created_at": "2019-08-24T14:15:22Z",
"sessions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded",
"test_name": "string",
"test_status": "Initial",
"test_eval_result": {
"success": true,
"reasons": [
"string"
],
"completion_reason": "StepsExhausted"
},
"status": "Pending",
"started_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}